connection to oceancolor.gsfs.nasa.gov timed out

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
zhangke123333
Posts: 4
Joined: Sun Jul 17, 2022 10:07 pm America/New_York
Answers: 0

connection to oceancolor.gsfs.nasa.gov timed out

by zhangke123333 » Sun Apr 02, 2023 11:06 pm America/New_York

Hi
I can't access the oceancolor website on Linux using Firefox ,why?
Is there a change in the website license and what should I do?

Looking forward to your reply! thanks!

Tags:

OB.DAAC - amscott
User Services
User Services
Posts: 343
Joined: Mon Jun 22, 2020 5:24 pm America/New_York
Answers: 1
Has thanked: 8 times
Been thanked: 3 times

Re: connection to oceancolor.gsfs.nasa.gov timed out

by OB.DAAC - amscott » Mon Apr 03, 2023 11:54 am America/New_York

No change. Try clearing your browser cache, closing and restarting the browser. Please let us know if you are still experiencing the issue after testing.

zhangke123333
Posts: 4
Joined: Sun Jul 17, 2022 10:07 pm America/New_York
Answers: 0

Re: connection to oceancolor.gsfs.nasa.gov timed out

by zhangke123333 » Tue Apr 04, 2023 3:59 am America/New_York

Hi
Thanks for your reply. but...
Sorry say that it does not work even after clearing the browser cache. The tip is: Connection timeout.This caused my python script to not run, which is used for generating Level2 data from Level1 data.
I can browse any other site except ocean color and I'm sure my internet is fine.what should I do next?

Looking forward to your reply! thanks!

OB.DAAC - amscott
User Services
User Services
Posts: 343
Joined: Mon Jun 22, 2020 5:24 pm America/New_York
Answers: 1
Has thanked: 8 times
Been thanked: 3 times

Re: connection to oceancolor.gsfs.nasa.gov timed out

by OB.DAAC - amscott » Tue Apr 04, 2023 3:55 pm America/New_York

What action you are taking that results in the timeout message?

zhangke123333
Posts: 4
Joined: Sun Jul 17, 2022 10:07 pm America/New_York
Answers: 0

Re: connection to oceancolor.gsfs.nasa.gov timed out

by zhangke123333 » Fri Apr 07, 2023 4:44 am America/New_York

I just access the oceancolor website on Linux using Firefox. The tip is: Connection timeout.

And, the OCSSW (seadas 7.5.3) can not generate GEO file form L1A_LAC.

execution exception: java.io.IOException: modis_GEO.py failed with exit code 1.

Check log for more details.

No supported Python (2.4 / 2.6 / 2.7) version available.

No supported Python (2.4 / 2.6 / 2.7) version available.

Running debug binaries...

/home/customer/seadas-7.5.3/ocssw/bin

** Files utcpole.dat/leapsec.dat are more than 2 weeks old.

** Running update_luts.py to update files...



Downloading files into /home/customer/seadas-7.5.3/ocssw/var/modis

OBPG session started

Traceback (most recent call last):

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connection.py", line 159, in _new_conn

conn = connection.create_connection(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/util/connection.py", line 84, in create_connection

raise err

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/util/connection.py", line 74, in create_connection

sock.connect(sa)

socket.timeout: timed out



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen

httplib_response = self._make_request(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 381, in _make_request

self._validate_conn(conn)

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn

conn.connect()

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connection.py", line 309, in connect

conn = self._new_conn()

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connection.py", line 164, in _new_conn

raise ConnectTimeoutError(

urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPSConnection object at 0x2afa00f856a0>, 'Connection to oceandata.sci.gsfc.nasa.gov timed out. (connect timeout=10)')



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/home/customer/anaconda3/lib/python3.8/site-packages/requests/adapters.py", line 439, in send

resp = conn.urlopen(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen

return self.urlopen(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen

return self.urlopen(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen

return self.urlopen(

[Previous line repeated 2 more times]

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen

retries = retries.increment(

File "/home/customer/anaconda3/lib/python3.8/site-packages/urllib3/util/retry.py", line 446, in increment

raise MaxRetryError(_pool, url, error or ResponseError(cause))

urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='oceandata.sci.gsfc.nasa.gov', port=443): Max retries exceeded with url: /Ancillary/LUTs/modis/?format=json (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x2afa00f856a0>, 'Connection to oceandata.sci.gsfc.nasa.gov timed out. (connect timeout=10)'))



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/home/customer/seadas-7.5.3/ocssw/scripts/modis_GEO.py", line 194, in <module>

sys.exit(main())

File "/home/customer/seadas-7.5.3/ocssw/scripts/modis_GEO.py", line 182, in main

m.utcleap()

File "/home/customer/seadas-7.5.3/ocssw/scripts/modules/modis_GEO_utils.py", line 148, in utcleap

lut.get_luts()

File "/home/customer/seadas-7.5.3/ocssw/scripts/modules/LutUtils.py", line 139, in get_luts

new1 = self.session.download_allfiles(

File "/home/customer/seadas-7.5.3/ocssw/scripts/modules/JsonUtils.py", line 203, in download_allfiles

all_links = self.get_links(url, regex=regex)

File "/home/customer/seadas-7.5.3/ocssw/scripts/modules/JsonUtils.py", line 170, in get_links

with closing(session.get(url, stream=True, timeout=self.timeout)) as response:

File "/home/customer/anaconda3/lib/python3.8/site-packages/requests/sessions.py", line 543, in get

return self.request('GET', url, **kwargs)

File "/home/customer/anaconda3/lib/python3.8/site-packages/requests/sessions.py", line 530, in request

resp = self.send(prep, **send_kwargs)

File "/home/customer/anaconda3/lib/python3.8/site-packages/requests/sessions.py", line 643, in send

r = adapter.send(request, **kwargs)

File "/home/customer/anaconda3/lib/python3.8/site-packages/requests/adapters.py", line 504, in send

raise ConnectTimeout(e, request=request)

requests.exceptions.ConnectTimeout: HTTPSConnectionPool(host='oceandata.sci.gsfc.nasa.gov', port=443): Max retries exceeded with url: /Ancillary/LUTs/modis/?format=json (Caused by ConnectTimeoutError(<urllib3.connection.HTTPSConnection object at 0x2afa00f856a0>, 'Connection to oceandata.sci.gsfc.nasa.gov timed out. (connect timeout=10)'))

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 644
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 1 time

Re: connection to oceancolor.gsfs.nasa.gov timed out

by OB SeaDAS - xuanyang02 » Fri Apr 07, 2023 10:43 am America/New_York

Do you have a .netrc file in your home directory that has your Earthdata Login credentials?

https://oceancolor.gsfc.nasa.gov/data/download_methods/?tab=download-methods-tab#netrc

Also, if you are running SeaDAS on linux, please update your SeaDAS to 8.3.0. We no longer support 7.5.3. https://seadas.gsfc.nasa.gov/

Occasionally, timeouts happen in network traffic, see viewtopic.php?t=3729

Post Reply